Thread: Segmentation fault in convolve under linux but not solaris

Started: 2012-03-16 22:53:03
Last activity: 2012-03-16 22:53:03
Topics: SAC Help
This occurs running
SEISMIC ANALYSIS CODE [11/15/2011 (Version 101.5)]
under OpenSUSE 12.1
uname -a gives Linux linux-mh4l.site 3.1.9-1.4-desktop #1 SMP PREEMPT
Fri Jan 27 08:55:10 UTC 2012 (efb5ff4) x86_64 x86_64 x86_64 GNU/Linux

The master file N is 6000 pts and the seismogram N is 377999.

Running
SEISMIC ANALYSIS CODE [11/19/2009 (Version 101.3b)]
under
Solaris 10 10/09 s10s_u8wos_08a SPARC
Copyright 2009 Sun Microsystems, Inc. All Rights Reserved.
Use is subject to license terms.
Assembled 16 September 2009

does not produce this error.

Unfortunately the Sun no longer will run MATLAB. Sigh.

Is there a known limitation on the seismogram lengths under Lunux?

LeRoy Dorman

Page built 19:52:42 | v.b'59d0d2